class AddSaltToUser < ActiveRecord::Migration
  def up
    add_column :users, :salt, :string
    # 0: user, 1: admin
    add_column :users, :type, :integer 
    rename_column :users, :password, :encrypted_password 
  end
  
  def down
    remove_column :users, :salt
    remove_column :users, :type
    rename_column :users, :encrypted_password, :password
  end
end
