require 'test_helper'

class UploadKoszosSarokTest < ActionDispatch::IntegrationTest
  fixtures :all
  test "upload picture" do
    get url_for(:controller=>'tasks', :action => :index)
    assert_response :success
    
    post_via_redirect '/sessions/create', {:username=>users(:me).username, :password=>'titok'}, 
      { 'HTTP_REFERER'=>'/say/hello' }
    assers_equal session[:user] = users(:me).id
    
    
    get task_url(tasks(:one))
    assert_response :success
    
    upload_file = fixture_file_upload('test/fixtures/files/html_dom.png','image/png')
    post url_for(:controller=>'comments', :action=>'upload', :id=>tasks(:one).id), 
      {
        file: 
        {
          :original_filename => 'kosz.png',
          :file => upload_file
        }
      },
      { 'HTTP_REFERER'=>'/say/hello' }
    c = Comment.find(task: tasks(:one))
    assert_not_nil c.filename
    assert File.exits?('public/data/html_dom.png')
  end 
end
